import { useEffect } from "react";

const useMatomoScript = (source, websiteId) => {
  useEffect(() => {
    const script = document.createElement("script");
    script.text = `var _paq = (window._paq = window._paq || []);
    /* tracker methods like "setCustomDimension" should be called before "trackPageView" */
    _paq.push(["trackPageView"]);
    _paq.push(["enableLinkTracking"]);
    (function () {
      var u = "${source}";
      _paq.push(["setTrackerUrl", u + "matomo.php"]);
      _paq.push(["setSiteId", "${websiteId}"]);
      var d = document,
        g = d.createElement("script"),
        s = d.getElementsByTagName("script")[0];
      g.async = true;
      g.src = u + "matomo.js";
      s.parentNode.insertBefore(g, s);
    })();`;

    document.head.appendChild(script);

    return () => {
      document.head.removeChild(script);
    };
  }, [source, websiteId]);
};

export default useMatomoScript;
